%define major 2

Name: pcmanfm-qt
Version: 0.11.2
Release: %mkrel 3
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: File manager for the LXQt desktop
URL: http://lxqt.org/
License: GPLv2+
Group: Graphical desktop/LXQT
#-----------------------------------------
BuildRequires: 	cmake
BuildRequires: 	doxygen
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}qt5widgets-devel
BuildRequires:  %{_lib}menu-cache-devel
BuildRequires:  %{_lib}qt5xml-devel
BuildRequires:  %{_lib}qt5x11extras-devel
BuildRequires:  %{_lib}qt5dbus-devel
BuildRequires:  %{_lib}fm-devel
BuildRequires:  %{_lib}lxqt-devel >= 0.11.1
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libfm-qt-devel >= 0.11.2
BuildRequires:  lxqt-build-tools >= 0.3.1
#----------- git need for translation ----
BuildRequires:	git
#-----------------------------------------
Requires:	libfm-qt >= %{version}
%description
File manager for the LXQt desktop

%package i10n
Summary:	Internationalization files for %{name}
Group:		Graphical desktop/LXQT
Requires:	%{name}

%description i10n
Internationalization files for %{name}

%prep
%setup -q %{name}-%{version}

# change desktop file name and comment to distinguish it from pcmanfm
sed -i 's/File Manager/QT File Manager/' pcmanfm/pcmanfm-qt.desktop.in

%cmake_qt5 -DBUILD_DOCUMENTATION=ON -DPULL_TRANSLATIONS=Yes

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --add-category="FileTools;X-MandrivaLinux-System-FileTools;" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc %{_defaultdocdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%_mandir/man1/pcmanfm-qt.1.*

%files i10n
%{_datadir}/%{name}/translations/%{name}_*.qm


%changelog
* Fri Mar 31 2017 adrianomorselli <adrianomorselli> 0.11.1-3uplos2017
- update
- adjust desktop file
